import { V as VariableReference, p as StepResult, q as LegacyStep, r as LegacyWorkflow, s as Agent, t as WorkflowContext, u as ToolsInput, a as Mastra, v as StepAction, w as LegacyWorkflowRunResult } from '../../base-D3nqrhQw.cjs';
export { G as ActionContext, F as BaseCondition, Y as DependencyCheckOutput, a3 as ExtractSchemaFromStep, a6 as ExtractSchemaType, a4 as ExtractStepResult, a8 as LegacyWorkflowRunState, a1 as LegacyWorkflowState, a7 as PathsToStringProps, Q as ResolverFunctionInput, U as ResolverFunctionOutput, R as RetryConfig, J as StepCondition, K as StepConfig, I as StepDef, y as StepExecutionContext, D as StepGraph, a2 as StepId, a5 as StepInputType, B as StepNode, Z as StepResolverOutput, z as StepVariableType, N as StepsRecord, X as SubscriberFunctionOutput, H as WhenConditionReturnValue, $ as WorkflowActionParams, a0 as WorkflowActions, _ as WorkflowActors, P as WorkflowEvent, O as WorkflowLogMessage, x as WorkflowOptions, a9 as WorkflowResumeResult } from '../../base-D3nqrhQw.cjs';
import { z } from 'zod';
import { M as Metric } from '../../types-Bo1uigWx.cjs';
import { I as IMastraLogger } from '../../logger-EhZkzZOr.cjs';
import '../../base-aPYtPBT2.cjs';
import 'ai';
import 'json-schema';
import '../../tts/index.cjs';
import '../../vector/index.cjs';
import '../../vector/filter/index.cjs';
import 'sift';
import '../../runtime-context/index.cjs';
import '@opentelemetry/api';
import 'xstate';
import 'node:events';
import 'node:http';
import 'hono';
import 'events';
import '../constants.cjs';
import 'ai/test';
import '../../deployer/index.cjs';
import '../../bundler/index.cjs';
import 'hono/cors';
import 'hono-openapi';
import 'stream';
import '@opentelemetry/sdk-trace-base';

declare function isErrorEvent(stateEvent: any): stateEvent is {
    type: `xstate.error.actor.${string}`;
    error: Error;
};
declare function isTransitionEvent(stateEvent: any): stateEvent is {
    type: `xstate.done.actor.${string}`;
    output?: unknown;
};
declare function isVariableReference(value: any): value is VariableReference<any, any>;
declare function getStepResult(result?: StepResult<any>): any;
declare function getSuspendedPaths({ value, path, suspendedPaths, }: {
    value: string | Record<string, string>;
    path: string;
    suspendedPaths: Set<string>;
}): void;
declare function isFinalState(status: string): boolean;
declare function isLimboState(status: string): boolean;
declare function recursivelyCheckForFinalState({ value, suspendedPaths, path, }: {
    value: string | Record<string, string>;
    suspendedPaths: Set<string>;
    path: string;
}): boolean;
declare function getActivePathsAndStatus(value: Record<string, any>): Array<{
    stepPath: string[];
    stepId: string;
    status: string;
}>;
declare function mergeChildValue(startStepId: string, parent: Record<string, any>, child: Record<string, any>): Record<string, any>;
declare const updateStepInHierarchy: (value: Record<string, any>, targetStepId: string) => Record<string, any>;
declare function getResultActivePaths(state: {
    value: Record<string, string>;
    context: {
        steps: Record<string, any>;
    };
}): Map<string, {
    status: string;
    suspendPayload?: any;
    stepPath: string[];
}>;
declare function isWorkflow(step: LegacyStep<any, any, any, any> | LegacyWorkflow<any, any, any, any> | Agent<any, any, any>): step is LegacyWorkflow<any, any, any, any>;
declare function isAgent(step: LegacyStep<any, any, any, any> | Agent<any, any, any> | LegacyWorkflow<any, any, any, any>): step is Agent<any, any, any>;
declare function resolveVariables({ runId, logger, variables, context, }: {
    runId: string;
    logger: IMastraLogger;
    variables: Record<string, VariableReference<any, any>>;
    context: WorkflowContext;
}): Record<string, any>;
declare function agentToStep<TAgentId extends string = string, TTools extends ToolsInput = ToolsInput, TMetrics extends Record<string, Metric> = Record<string, Metric>>(agent: Agent<TAgentId, TTools, TMetrics>, { mastra }?: {
    mastra?: Mastra;
}): StepAction<TAgentId, z.ZodObject<{
    prompt: z.ZodString;
}>, z.ZodObject<{
    text: z.ZodString;
}>, any>;
declare function workflowToStep<TSteps extends LegacyStep<any, any, any, any>[], TStepId extends string = any, TTriggerSchema extends z.ZodObject<any> = any, TResultSchema extends z.ZodObject<any> = any>(workflow: LegacyWorkflow<TSteps, TStepId, TTriggerSchema, TResultSchema>, { mastra }: {
    mastra?: Mastra;
}): StepAction<TStepId, TTriggerSchema, z.ZodType<LegacyWorkflowRunResult<TTriggerSchema, TSteps, TResultSchema>>, any>;
declare function isConditionalKey(key: string): boolean;

export { LegacyStep, LegacyWorkflow, LegacyWorkflowRunResult, StepAction, StepResult, VariableReference, WorkflowContext, agentToStep, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isAgent, isConditionalKey, isErrorEvent, isFinalState, isLimboState, isTransitionEvent, isVariableReference, isWorkflow, mergeChildValue, recursivelyCheckForFinalState, resolveVariables, updateStepInHierarchy, workflowToStep };
